# Generated by Django 3.2.5 on 2021-07-26 15:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Aplicacao',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('usuario', models.IntegerField(choices=[(1, 'User 1'), (2, 'User 2'), (3, 'User 3')], db_column='id_usuario')),
                ('cotacao_ativo', models.DecimalField(decimal_places=10, max_digits=20)),
                ('quantidade', models.IntegerField()),
                ('total', models.DecimalField(decimal_places=10, max_digits=20)),
                ('endereco_ip', models.GenericIPAddressField()),
                ('data_aplicacao', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'db_table': 'aplicacoes',
                'ordering': ['id'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Ativo',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('nome', models.CharField(max_length=50, unique=True)),
                ('modalidade', models.IntegerField(choices=[(1, 'RENDA_FIXA'), (2, 'RENDA_VARIAVEL'), (3, 'CRIPO')])),
                ('cotacao', models.DecimalField(decimal_places=10, max_digits=20)),
                ('data_cadastro', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'db_table': 'ativos',
                'ordering': ['id'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Resgate',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('id_usuario', models.IntegerField(choices=[(1, 'User 1'), (2, 'User 2'), (3, 'User 3')])),
                ('cotacao_aplicacao', models.DecimalField(decimal_places=10, max_digits=20)),
                ('cotacao_ativo', models.DecimalField(decimal_places=10, max_digits=20)),
                ('quantidade_resgate', models.IntegerField()),
                ('endereco_ip', models.GenericIPAddressField()),
                ('total', models.DecimalField(decimal_places=10, max_digits=20)),
                ('data_resgate', models.DateTimeField(auto_now_add=True)),
                ('aplicacao', models.ForeignKey(db_column='id_aplicacao', on_delete=django.db.models.deletion.CASCADE, related_name='resgate_aplicacao', to='v1.aplicacao')),
                ('ativo', models.ForeignKey(db_column='id_ativo', on_delete=django.db.models.deletion.CASCADE, related_name='resgate_ativo', to='v1.ativo')),
            ],
            options={
                'db_table': 'resgates',
                'ordering': ['id'],
                'managed': True,
            },
        ),
        migrations.AddField(
            model_name='aplicacao',
            name='ativo',
            field=models.ForeignKey(db_column='id_ativo', on_delete=django.db.models.deletion.CASCADE, related_name='aplicacao_ativo', to='v1.ativo'),
        ),
    ]
